wayland (1.26.0-1) unstable; urgency=medium

  * New upstream release
  * Update libwayland-server0 symbols file: add 3 new symbols
  * Remove redundant fields:
    - Priority: optional
    - Rules-Requires-Root: no
  * Standards-Version: 4.7.4 (no changes required)
  * Convert d/watch to version 5

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jul 2026 15:02:19 +0200

wayland (1.25.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 10 Jun 2026 08:39:27 +0200

wayland (1.25.0-1) experimental; urgency=medium

  * New upstream release
  * Build-Deps: switch from docbook to mdbook
  * libwayland-doc: update path to the new documentation
  * libwayland-client0: add 2 new symbols
  * d/u/signing-key.asc: concatenate multiple blocks into a single
      ASCII Armor block
  * d/s/format: switch to 3.0 (quilt)
  * Drop useless quilt related part
  * Add debian/salsa-ci.yml
  * Update debian/copyright
  * salsa-ci: enable licenserecon

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Apr 2026 16:15:37 +0200

wayland (1.24.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Aug 2025 18:22:58 +0200

wayland (1.24.0-1) experimental; urgency=medium

  * New upstream release (Closes: #1110019)
  * Update symbols file
  * debian/watch: rely on gitlab releases instead of releases.html which
    tends to be outdated
  * Standards-Version: 4.7.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Jul 2025 18:07:33 +0200

wayland (1.23.1-3) unstable; urgency=medium

  * Upload to unstable
  * Add myself to Uploaders
  * Make build time tests non-fatal on hppa because sanity-test still fails

 -- Dylan Aïssi <daissi@debian.org>  Wed, 19 Feb 2025 21:46:59 +0100

wayland (1.23.1-2) experimental; urgency=medium

  * Team upload.
  * Switch to debhelper-compat (= 13)
  * Build-Deps on pkgconf instead of pkg-config
  * Standards-Version: 4.7.0 (no changes required)
  * Drop --fail-missing, default since compat 13
  * Drop removal of *.la files
  * Drop the use of --dbgsym-migration
  * Add Rules-Requires-Root: no
  * Convert debian/copyright to DEP5 format
  * Set debian/source/format to 1.0
  * Remove trailing whitespace in debian/changelog
  * Drop Breaks+Replaces+Conflicts fields coming from the pre-Buster age
  * Use pkg-info.mk instead of parsing the changelog
  * Add debian/upstream/metadata
  * Make build time tests fatal
  * Add debian/gbp.conf
  * Drop override_dh_makeshlibs, let's rely on symbols files instead

 -- Dylan Aïssi <daissi@debian.org>  Fri, 31 Jan 2025 16:04:51 +0100

wayland (1.23.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1094276, #1087438)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 Jan 2025 22:06:33 +0100

wayland (1.23.0-1) unstable; urgency=medium

  * New upstrem release (Closes: #1076634, #1076248)

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 22 Jul 2024 10:50:19 +0200

wayland (1.22.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move wayland-scanner.pc to libwayland-bin. (Closes: #939515)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 25 Aug 2023 09:24:40 +0200

wayland (1.22.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Add myself as uploader
  * debian/control: Bump standard-version

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 02:43:38 +0200

wayland (1.22.0-1) experimental; urgency=medium

  [ Guido Günther ]
  * New upstream release
  * debian/libwayland-server0.symbols: refresh

  [ Marius Gripsgard ]
  * debian/upstream: Update signing key to include key
    from the current upstream release developer

 -- Marius Gripsgard <marius@ubports.com>  Thu, 01 Jun 2023 19:54:23 +0200

wayland (1.21.0-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 08 Jul 2022 18:26:04 +0200

wayland (1.20.92-1) experimental; urgency=medium

  * Prepare for next upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 22 Jun 2022 00:15:53 +0200

wayland (1.20.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwayland-client0.symbols: refresh
  * debian/libwayland-server0.symbols: refresh

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 01 Feb 2022 18:10:38 +0100

wayland (1.19.0-2) unstable; urgency=high

  * Add missing dependency on libffi-dev (closes: #969284).
    Thanks Julien Cristau for NMU fix at 1.18.0-2~exp1.1

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 08 Mar 2021 22:56:41 +0100

wayland (1.19.0-1) unstable; urgency=high

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 04 Mar 2021 19:58:06 +0100

wayland (1.18.0-2~exp1) unstable; urgency=medium

  * Switch build system to meson

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Aug 2020 13:38:40 +0200

wayland (1.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Feb 2020 11:08:11 +0100

wayland (1.17.93-1~exp1) experimental; urgency=medium

  * RC1 for Wayland 1.18
  * debian/control: bump Standards-Version, no changes
  * debian/*.symbols: update

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 09 Feb 2020 20:56:23 +0100

wayland (1.17.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Bump breaks/replaces on libwayland-egl-mesa/libegl1-mesa-
    dev, which got updated on Ubuntu.

  [ Héctor Orón Martínez ]
  * New upstream release
  * debian/README.source: add upstream remote information
  * debian/libwayland-server0.symbols: update symbols file

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 21 Jul 2019 20:30:10 +0200

wayland (1.16.0-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Update the watch file for the new upstream website layout.

  [ Salvatore Bonaccorso ]
  * Add debian/changelog entry for 1.14.0-2 (Closes: #903748)

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Sep 2018 20:20:03 +0300

wayland (1.15.0-2) unstable; urgency=medium

  * debian/copyright: add missing copyright holders. Closes: #897362.
  * Update Vcs-* for salsa.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 May 2018 12:34:01 +0200

wayland (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Put wayland-egl-backend.* to a separate dev-package.
  * libwayland-egl1.symbols: Fixed.
  * control: Bump Breaks/Replaces on libegl1-mesa-dev, so that this can
    be synced to Ubuntu.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Apr 2018 10:41:38 +0300

wayland (1.14.93-1) experimental; urgency=medium

  * New upstrem release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Apr 2018 10:53:33 +0300

wayland (1.14.92-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream pre-release.
  * signing-keys.asc: Updated.
  * libwayland-dev.install: Drop static libs, they're not provided
    anymore.
  * libwayland-egl1.symbols: Updated.
  * control: Adjust Breaks/Provides for libwayland-egl migration.

  [ Héctor Orón Martínez ]
  * control: Fix uninstallability issues. (Closes: #893366)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Mar 2018 21:42:58 +0200

wayland (1.14.91-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Use wayland-scanner from libwayland-bin (Closes: #836687)
    - Fixes cross builds

  [ Héctor Orón Martínez ]
  * New upstream pre-release
  * debian/control: libwayland-dev suggests libwayland-doc (Closes: #857139)
  * debian/libwayland-server0.symbols: update
  * debian/control: update priority from extra to optional
  * libwayland-egl1: add new package
  * debian/control: bump standards version

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 13 Mar 2018 16:01:40 +0100

wayland (1.14.0-2) unstable; urgency=medium

  * debian/patches/CVE-2017-16612.patch: (Closes: #889681)
    - libXcursor before 1.1.15 has various integer overflows that could lead
      to heap buffer overflows when processing malicious cursors, e.g., with
      programs like GIMP. It is also possible that an attack vector exists
      against the related code in cursor/xcursor.c in Wayland through
      1.14.0.
  * switch back to use upstream tarball
  * debian/control: bump standards version, drop priority stanzas

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 04 Mar 2018 11:56:31 +0100

wayland (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * libwayland-{client,server}0.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Aug 2017 11:09:15 +0300

wayland (1.13.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #870566)
  * libwayland-server0.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Aug 2017 11:25:29 +0300

wayland (1.12.0-1) unstable; urgency=medium

  * New upstream release. Closes: #840752.
  * Update various links to https.
  * Verify upstream tarball signatures. Thanks Hideki Yamane.
  * Bump debhelper compat to 10.
    + debhelper now calls dh-autoreconf by default.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 07 Dec 2016 18:54:57 +0100

wayland (1.11.94-1) experimental; urgency=medium

  * New upstream pre-release.
  * Standards-Version is 3.9.8, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 14 Sep 2016 12:10:19 +0200

wayland (1.11.91-1) experimental; urgency=medium

  * New upstream pre-release

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 18 Aug 2016 17:18:52 +0200

wayland (1.11.0-2) unstable; urgency=medium

  * d/control: libwayland-dev depends on libwayland-bin
  * d/control: libwayland-bin replaces libwayland-dev

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 06 Jun 2016 11:28:46 +0200

wayland (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: make libwayland-dev multiarch aware
    - based on a patch from Dima Kogan.
    (Closes: #739400)
  * d/libwayland-client0.symbols: update with new symbols

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 02 Jun 2016 11:37:00 +0200

wayland (1.10.0-2) unstable; urgency=medium

  * Don't build the documentation on binary-arch only builds. Move the
    build-dependencies needed for the documentation to build-depends-indep.
    Closes: #821170.
  * Move the manpages to libwayland-doc.
  * Switch to dbgsym packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 20 Apr 2016 21:38:58 +0200

wayland (1.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 31 Mar 2016 13:13:12 +0200

wayland (1.9.92-1) experimental; urgency=medium

  * New upstream release, experimental upload.

  [ Hideki Yamane ]
  * debian/control
    - add Build-Depends: libxml2-dev
  * update debian/libwayland-{client,server}0.symbols
  * update debian/watch (Closes: #813484)

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 04 Feb 2016 23:22:27 +0100

wayland (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 27 Sep 2015 00:08:11 +0200

wayland (1.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Hector Oron <zumbi@debian.org>  Sat, 13 Jun 2015 02:00:30 +0200

wayland (1.7.0-2) unstable; urgency=medium

  * Remove Cyril from Uploaders. Thanks for your past work!
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 May 2015 00:35:08 +0200

wayland (1.7.0-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Add xmlto and graphviz to build-depends to build the
    new documentation.
  * libwayland-doc: Add a new package for documentation files.

  [ Hector Oron ]
  * Upload to experimental.

 -- Hector Oron <zumbi@debian.org>  Wed, 06 May 2015 12:35:23 +0200

wayland (1.6.1-2) experimental; urgency=medium

  * Rebuild against upstream tarball.

 -- Hector Oron <zumbi@debian.org>  Sat, 24 Jan 2015 10:39:19 +0100

wayland (1.6.1-1) experimental; urgency=medium

  * New bugfix upstream release:
    - documentation: fix several typoes.
    - scanner, client: several improvements.
    - tests: fix memory leak
  * d/control: update VCS URL
  * d/control: bump standards version, no changes needed.

 -- Hector Oron <zumbi@debian.org>  Wed, 24 Sep 2014 01:01:26 +0200

wayland (1.6.0-2) unstable; urgency=medium

  * Switch back to use upstream tarball.

 -- Hector Oron <zumbi@debian.org>  Tue, 23 Sep 2014 18:09:53 +0200

wayland (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Hector Oron <zumbi@debian.org>  Fri, 19 Sep 2014 16:28:13 +0200

wayland (1.5.93-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 16 Sep 2014 22:42:06 +0200

wayland (1.5.93-1) experimental; urgency=medium

  * New upstream development release.
  * Upload to experimental.

 -- Hector Oron <zumbi@debian.org>  Fri, 12 Sep 2014 16:17:43 +0200

wayland (1.5.91-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream development release.
  * Update debian/libwayland-client0.symbols with two additions
  * Update debian/libwayland-server0.symbols with one addition

  [ Emilio Pozuelo Monfort ]
  * Upload to experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Sep 2014 03:10:22 +0200

wayland (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch back to source format 1.0 for now.
  * debian/libwayland-dev.install:
    + Update path for wayland-scanner.pc.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 24 May 2014 02:54:40 +0200

wayland (1.4.0-1) unstable; urgency=medium

  * New upstream release 1.4.0:
    - SHM Buffer SIBGUS protection.
    - Subsurfaces protocol moved to wayland repo and promoted to official
      wayland protocol
    - wl_proxy_set_queue() can take a NULL queue to reset back to default
      queue.
    - Fix race between wl_proxy_create() and wl_proxy_marshal()
    - scanner error message improvements and documentation improvements
  * d/control: Further bump the libwayland0 C/R to cover Collabora version.
    Thanks Peter Green for patch.
    (Closes: #731607)
  * d/control: update standards version

 -- Hector Oron <zumbi@debian.org>  Thu, 30 Jan 2014 23:49:42 +0100

wayland (1.3.92-1) unstable; urgency=medium

  * New upstream release (1.3.92)
  * d/libwayland-dev.install:
     - add wayland DTD and XML under default dtddir.

 -- Hector Oron <zumbi@debian.org>  Sat, 18 Jan 2014 18:16:17 +0100

wayland (1.3.0-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * control: Bump the libwayland0 C/R to (<< 1.1.0) so that it covers
    the ubuntu version too, and add it to -cursor.

  [ Hector Oron ]
  * New upstream stable release (1.3.0).
  * Add myself to Uploaders.
  * Switch to Debian source format 3.0 quilt.
  * d/libwayland-dev.install:
    - install wayland documentation

 -- Hector Oron <zumbi@debian.org>  Fri, 11 Oct 2013 11:23:38 +0200

wayland (1.2.1-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream release (1.2.0).
  * Update symbols files and bump shlibs of libwayland-{client,server}0.
    - ABI break: libwayland-server0 removed several symbols used by
      weston releases prior to 1.2, add a Breaks to accommodate that.

  [ Emilio Pozuelo Monfort ]
  * New upstream stable release (1.2.1).
  * Add myself to Uploaders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 08 Sep 2013 19:46:04 +0200

wayland (1.1.0-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 06 Jun 2013 23:22:34 +0200

wayland (1.1.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/libwayland-client0.symbols
    debian/libwayland-server0.symbols:
    + Add a couple of new symbols.
  * debian/rules:
    + Bump SHVER accordingly.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 03 Jun 2013 08:44:14 +0200

wayland (1.0.5-2) experimental; urgency=low

  * Team upload.
  * Add missing conflict/replaces for the library split.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 21 May 2013 09:39:01 +0200

wayland (1.0.5-1) experimental; urgency=low

  * Team upload.

  [ Robert Ancell ]
  * debian/libwayland-dev.install:
    - Install development man pages
  * debian/control:
    - Build-depend on doxygen
    - Build-depend on xsltproc

  [ Timo Aaltonen ]
  * New upstream release.
  * Migrate to multiarch (Closes: #690081).
  * copyright: Refresh.
  * control: Update Standards-Version to 3.9.4, no changes.
  * rules: Make it non-fatal to fail the tests, which don't all succeed
    when ran in headless mode.
  * rules: Drop the creation of hard dependencies, wayland should be
    mostly API stable now.
  * rules: Drop dh_auto_install override.  dh_auto_install automatically
    installs to debian/tmp whenever there are multiple binary packages.
  * libwayland*.install: Add missing files.
  * rules: Temporarily disable installing the protocol docs, decide where
    to put them first.
  * Add README.source

  [ Sven Joachim ]
  * Update symbols file, bumping minver of all symbols to at least 1.0.2.
  * Add docbook-xsl to Build-Depends.
  * Add Homepage field to debian/control.
  * Update debian/copyright.

  [ Emilio Pozuelo Monfort ]
  * Split the shared libraries into separate packages.
  * Add Build-Depends-Package to symbol files.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 21 May 2013 00:34:22 +0200

wayland (0.85.0-2) unstable; urgency=low

  * Upload to unstable.
  * Wayland/Weston aren't quite ready to replace Xorg yet, but let's
    upload those to unstable anyway, so that people can find out by
    themselves. On the plus side, mesa can stop getting wayland support
    enabled in experimental, then disabled back when uploaded to unstable.
  * Update long description, wayland-demos got replaced by weston.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Apr 2012 22:34:18 +0200

wayland (0.85.0-1) experimental; urgency=low

  * First upstream release:
    - http://article.gmane.org/gmane.comp.freedesktop.wayland.devel/1770
  * Update watch file, even if that's only useful for notifications:
    upstream releases xz tarballs, and the 1.0 source format only suports
    gz.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Feb 2012 11:51:36 +0100

wayland (0.1.0~2-1) experimental; urgency=low

  * New upstream snapshot.
  * Update symbols file.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 30 Jan 2012 22:37:54 +0100

wayland (0.1.0~1-1) experimental; urgency=low

  * New upstream snapshot.
  * Update symbols file.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 23 Dec 2011 14:45:10 +0100

wayland (0.1.0~0-1) experimental; urgency=low

  * Initial release (Closes: #611400).
  * debian/rules contains a gentarball target to create a tarball from the
    upstream-experimental branch, to be used until some upstream release
    happens.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 18 Jun 2011 13:38:40 +0200
